# frozen_string_literal: true

#
# Overload the Integer class
#
class Integer
    def is_palindromic?
        return false if processed_content.empty?

        processed_content == processed_content.reverse
    end

    def processed_content
        to_s.scan(/[[:alnum:]]/i).join.downcase
    end
end

#
# Overload the String class
#
class String
    def is_palindromic?
        return false if processed_content.empty?

        processed_content == processed_content.reverse
    end

    def processed_content
        scan(/[[:alnum:]]/i).join.downcase
    end
end
